Package org.opensaml.messaging.pipeline

# Interface MessagePipeline

All Known Subinterfaces:
  `HttpClientMessagePipeline`, `HttpServletMessagePipeline`

All Known Implementing Classes:
  `BasicHttpClientMessagePipeline`, `BasicHttpServletMessagePipeline`, `BasicMessagePipeline`

public interface MessagePipeline
Interface representing the basic components of a message processing pipeline.

## Method Summary

Modifier and Type
Method
Description
`MessageDecoder`
`getDecoder()`
Get the message decoder instance.
`MessageEncoder`
`getEncoder()`
Get the message encoder instance.
`MessageHandler`
`getInboundMessageHandler()`
Get the (optional) inbound message handler instance.
`MessageHandler`
`getOutboundPayloadMessageHandler()`
Get the (optional) outbound payload message handler instance.
`MessageHandler`
`getOutboundTransportMessageHandler()`
Get the (optional) outbound transport message handler instance.

## Method Details

### getEncoder

@Nonnull MessageEncoder getEncoder()
Get the message encoder instance.

Returns:
  the message encoder

### getDecoder

@Nonnull MessageDecoder getDecoder()
Get the message decoder instance.

Returns:
  the message decoder

### getOutboundPayloadMessageHandler

@Nullable MessageHandler getOutboundPayloadMessageHandler()
Get the (optional) outbound payload message handler instance.

This is the handler intended to be called on the outbound message context, prior to any message encoding.

Returns:
  the outbound message handler, may be null

### getOutboundTransportMessageHandler

@Nullable MessageHandler getOutboundTransportMessageHandler()
Get the (optional) outbound transport message handler instance.

This is the handler intended to be called after `MessageEncoder.prepareContext()`, but before `MessageEncoder.encode()`.

Returns:
  the outbound message handler, may be null

### getInboundMessageHandler

@Nullable MessageHandler getInboundMessageHandler()
Get the (optional) inbound message handler instance.

Returns:
  the inbound message handler, may be null